%define	_root_sbindir	/sbin
%define	_root_libdir	/%{_lib}
%define dist		.el7

Summary: utilities for NILFS v2
Name: nilfs-utils
Version: 2.2.6
License: GPL
Group: System Environment/Base
Source: http://nilfs.sourceforge.net/download/%{name}-%{version}.tar.bz2
Prefix: /usr
Provides: %{name} = %{version}
Release: 1%{?dist}
Url: http://nilfs.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: redhat-rpm-config
BuildRequires: rpm-build
BuildRequires: gcc
BuildRequires: make
BuildRequires: binutils
BuildRequires: coreutils
BuildRequires: libselinux-devel
BuildRequires: libblkid-devel
BuildRequires: libmount-devel

Obsoletes: %{name} <= %{version}-%{release}
%description
The utilities for NILFS v2

%prep
%setup -q

%build
%configure --with-selinux
make

%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}" root_sbindir=%{_root_sbindir} root_libdir=%{_root_libdir}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%config(noreplace) /etc/nilfs_cleanerd.conf
%{_root_sbindir}/mkfs.nilfs2
%{_root_sbindir}/mount.nilfs2
%{_root_sbindir}/nilfs_cleanerd
%{_root_sbindir}/umount.nilfs2
%{_sbindir}/nilfs-clean
%{_sbindir}/nilfs-tune
%{_sbindir}/nilfs-resize
%{_bindir}/chcp
%{_bindir}/dumpseg
%{_bindir}/lscp
%{_bindir}/lssu
%{_bindir}/mkcp
%{_bindir}/rmcp
%{_includedir}/nilfs.h
%{_includedir}/nilfs2_fs.h
%{_includedir}/nilfs_cleaner.h
%{_libdir}/libnilfs.a
%{_libdir}/libnilfs.la
%{_libdir}/libnilfs.so
%{_libdir}/libnilfs.so.*
%{_libdir}/libnilfscleaner.a
%{_libdir}/libnilfscleaner.la
%{_libdir}/libnilfscleaner.so
%{_libdir}/libnilfscleaner.so.*
%{_libdir}/libnilfsgc.a
%{_libdir}/libnilfsgc.la
%{_libdir}/libnilfsgc.so
%{_libdir}/libnilfsgc.so.*
%{_mandir}/man1/lscp.1.gz
%{_mandir}/man1/lssu.1.gz
%{_mandir}/man5/nilfs_cleanerd.conf.5.gz
%{_mandir}/man8/chcp.8.gz
%{_mandir}/man8/dumpseg.8.gz
%{_mandir}/man8/mkcp.8.gz
%{_mandir}/man8/mkfs.nilfs2.8.gz
%{_mandir}/man8/mount.nilfs2.8.gz
%{_mandir}/man8/nilfs_cleanerd.8.gz
%{_mandir}/man8/nilfs-tune.8.gz
%{_mandir}/man8/nilfs.8.gz
%{_mandir}/man8/rmcp.8.gz
%{_mandir}/man8/umount.nilfs2.8.gz
%{_mandir}/man8/nilfs-clean.8.gz
%{_mandir}/man8/nilfs-resize.8.gz

%changelog
* Tue Sep 23 2014 Seiji Kihara <kihara@osrg.net> 2.2.2-1
- Initial build of nilfs2-utils for el7.
